.engagement--container {
    padding: 1rem 3.5rem;
    display: flex;
    flex-direction: column;
    gap: 2rem;
    animation: animationEnter 0.5s ease-in-out;
}

.accordion--wrapper {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-bottom: 3rem;
}

.accordion--wrapper h1 {
    font-family: var(--title-font);
    font-weight: 400;
    font-size: 2.5rem;
    text-transform: capitalize;
}

.accordion--wrapper p {
    text-align: justify;
}

.text {
    display: flex;
    gap: 3rem;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 1rem;
}

.text--presentation {
    flex: 2;
    height: 100%;
    line-height: 28px;
    font-size: 1.1rem;
}

.text--list {
    flex: 1;
    border-left: 1px solid grey;
    padding-left: 3rem;
    display: flex;
    flex-direction: column;
    gap: .8rem;
}

.text--list li {
    list-style: none;
}

.one--accordion {
    display: flex;
    flex-direction: column;
    gap: .3rem;
    margin-left: 1rem;
}

.accordion {
    background-color: transparent;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    text-align: left;
    border: none;
    outline: none;
    transition: 0.4s;
    font-size: 1rem;
    font-weight: 600;
    border-left: 1px solid #e1e1e1;
}

.accordion h2 {
    float: left;
    font-size: 1.5rem;
}

.active--accordion, .accordion:hover {
    background-color: #f5f5f5;
}

.panel {
    padding: 0 18px;
    background-color: white;
    max-height: 0;
    overflow: hidden;
    transition: all 0.2s ease-out;
}

.panel--list {
    display: flex;
    gap: .5rem;
    font-size: 1.2rem;
    align-items: center;
    font-weight: 400;
    padding-top: 1rem ;
}

.panel--text {
    line-height: 25px;
    margin-bottom: 2rem;
    white-space: pre-line;
}

.panel--zoom {
    display: flex;
    justify-content: end;
    margin-bottom: 1rem;
}

.panel--zoom--content {
    border: 1px solid #f1f1f1;
    box-shadow: 0px 10px 15px -3px rgba(0,0,0,0.1);
    padding: 1rem;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.panel--zoom--content h3 {
    display: flex;
    align-items: end;
    gap: .5rem;
}

.panel--zoom--content p {
    line-height: 25px;
}

.accordion:after {
    content: '\02795';
    font-size: 13px;
    color: #c0c0c0;
    float: right;
    margin-left: 5px;
}

.active--accordion:after {
    content: "\2796";
}

@media (max-width: 1000px) {
    .text--list {
        display: none;
    }
}

@media (max-width: 650px) {
    .engagement--container {
        padding: 1rem 1.5rem;
    }

    .accordion--wrapper h1 {
        text-align: center;
        font-size: 2rem;
    }

    .accordion h2 {
        font-size: 1.2rem;
    }

    .accordion--wrapper {
    }

    .one--accordion {
        margin: 0;
    }

    .panel {
        padding: 0 5px;
    }

    .active--accordion ~ .panel {
        max-height: 90vh !important;
        overflow-y: scroll;
    }

    .active--accordion ~ .panel::-webkit-scrollbar {
        width: 0;
    }
}
